package hh.dejsem.fm;

import android.view.ContextMenu;
import android.view.View;
import android.widget.RelativeLayout;

import hh.dejsem.R;
import hh.lib.D;

/**
 * panel to determine move destination in local fm
 */
class PanelLocalMoveDest extends PanelLocalDir {

	PanelLocalMoveDest(D d, RelativeLayout layout, String newWorkDirName) {
		super(d, layout, "move", newWorkDirName);
	}

	@Override
	public void buildContextMenu(ContextMenu menu, View v, ContextMenu.ContextMenuInfo menuInfo) {
		d.getAct().getMenuInflater().inflate(R.menu.move_dest, menu);
	}

	@Override
	void handleSizeOf() { FragFM.localDirPanel.handleSizeOf(); }
}
